<?php
$type = array
(
	1 => '数值',
	2 => '百分比',
);

$pricing_type = array
(
	1 => '按件数',
	//2 => '按重量',
	//3 => '按体积',
);
return array
(
	# 表名
	'name' => 'freight',
	# 显示给用户看的名称
	'lang' => '运费设置',
	'order' => 1,

	# 数据结构
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			'search'	=> 'order',
			//'list'		=> true,
		),

		'category'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '分类',
			'default' 	=> '',
			'desc' 		=> '分类',
			'match' 	=> 'is_string',
			'search'	=> 'linkage',
			'update'	=> 'linkage',
			'option'	=> Dever::url('api.get', 'category'),
			'list'		=> 'Dever::load("category/api.string", "{category}")',
		),

		'goods_area'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '商品所在地区-先按照省份计算',
			'default' 	=> '',
			'desc' 		=> '商品所在地区',
			'match' 	=> 'is_string',
			//'search'	=> 'linkage',
			'update'	=> 'linkage',
			'option'	=> Dever::url('api.get?level_total=1', 'area'),
			'list'		=> 'Dever::load("area/api.string", "{goods_area}")',
		),

		'area'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '送达地区',
			'default' 	=> '',
			'desc' 		=> '送达地区',
			'match' 	=> 'is_string',
			'search'	=> 'linkage',
			'update'	=> 'linkage',
			'option'	=> Dever::url('api.get?level_total=1', 'area'),
			'list'		=> 'Dever::load("area/api.string", "{area}")',
		),

		'type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '运费类型',
			'default' 	=> '1',
			'desc' 		=> '运费类型',
			'match' 	=> 'option',
			'update'	=> 'radio',
			'option'	=> $type,
			//'list'		=> true,
			//'search'	=> 'select',
		),

		'pricing_type'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '计价类型',
			'default' 	=> '1',
			'desc' 		=> '计价类型',
			'match' 	=> 'option',
			'update'	=> 'radio',
			'option'	=> $pricing_type,
			'list'		=> true,
			'search'	=> 'select',
		),

		'first_num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '首件数量-如果计价类型是按重量，这里就是首件的重量，这里填写了2，就是满2件算首件',
			'default' 	=> '',
			'desc' 		=> '首件数量',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'first_price'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '首件价格-如果是百分比类型，这里如果填的是10，那就是总价的10%',
			'default' 	=> '',
			'desc' 		=> '运费价格',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'next_num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '续件数量-如果计价类型是按重量，这里就是续件的重量',
			'default' 	=> '',
			'desc' 		=> '续件数量',
			'match' 	=> 'is_numeric',
			'update'	=> 'text',
			'list'		=> true,
		),
		
		'next_price'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '续件价格-如果是百分比类型，这里如果填的是10，那就是总价的10%',
			'default' 	=> '',
			'desc' 		=> '续件价格',
			'match' 	=> 'is_string',
			'update'	=> 'text',
			'list'		=> true,
		),

		'free'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '总价满多少减免运费',
			'default' 	=> '',
			'desc' 		=> '满多少减免运费',
			'match' 	=> 'is_string',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),
		
		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '录入时间',
			'match' 	=> array('is_numeric', DEVER_TIME),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
	(
		//'delete' => false,
		//'edit' => false,
		//'insert' => false,
	),

	'request' => array
	(
		
	)
);
