<?php
$system_source = Dever::config('base')->system_source;
$mode = Dever::db('goods/info')->config['config_mode'];
$shape = Dever::db('goods/info')->config['config_shape'];
$platform = Dever::db('goods/info')->config['config_platform'];
$confirm = array
(
	1 => '未确认',
	2 => '已确认',
);
$pay_status = Dever::config('base', 'pay')->pay['status'];
$status = array
(
	1 => '进行中',
	2 => '已支付',
	3 => '配送中',
	4 => '已收货',
	5 => '已完成',
);
$config = array
(
	# 表名
	'name' => 'order',
	# 显示给用户看的名称
	'lang' => '商品订单',
	'order' => 300,
	'auto' => 1000000,
	'get_status' => $status,

	# 数据结构 不同的字段放这里
	'struct' => array
	(
		'id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> 'ID',
			'default' 	=> '',
			'desc' 		=> '',
			'match' 	=> 'is_numeric',
			//'list'		=> true,
		),

		'parent_uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '邀请人',
            'default'   => '0',
            'desc'      => '请选择用户',
            'match'     => 'is_numeric',
            //'update'    => 'text',
            //'search'  => 'select',
            'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
            'list_name'	=> '订单详情',
            'list'		=> 'Dever::load("goods/lib/manage.order", {id})',
            //'list'      => '{parent_uid} > 0 ? Dever::load("passport/user-one#username", {parent_uid}) : "无邀请人"',
        ),

		'uid'       => array
        (
            'type'      => 'int-11',
            'name'      => '购买人',
            'default'   => '0',
            'desc'      => '请选择用户',
            'match'     => 'is_numeric',
            //'update'    => 'text',
            //'search'  => 'select',
            'search'    => array
            (
                'api' => 'passport/user-all',
                'col' => 'username',
                'result' => 'id',
            ),
            //'list'      => '{uid} > 0 ? Dever::load("passport/user-one#username", {uid}) : "匿名用户"',
        ),

        'type' 		=> array
		(
			'type' 		=> 'varchar-32',
			'name' 		=> '所属数据源',
			'default' 	=> '',
			'desc' 		=> '所属数据源',
			'match' 	=> 'is_string',
			//'list'		=> true,
		),
		
		'type_id' 		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '数据源id',
			'default' 	=> '',
			'desc' 		=> '数据源id',
			'match' 	=> 'is_numeric',
			//'list'		=> true,
		),

		'info_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '商品ID',
			'default' 	=> '',
			'desc' 		=> '商品ID',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'platform'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '平台',
			'default' 	=> '1',
			'desc' 		=> '平台',
			'match' 	=> 'is_numeric',
			'option'	=> $platform,
			'search'	=> 'select',
		),

		'shape'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '形态',
			'default' 	=> '1',
			'desc' 		=> '形态',
			'match' 	=> 'is_numeric',
			'option'	=> $shape,
			'search'	=> 'select',
		),

		'sku_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '商品SKUID',
			'default' 	=> '',
			'desc' 		=> '商品SKUID',
			'match' 	=> 'is_numeric',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'order_id'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '订单id',
			'default' 	=> '',
			'desc' 		=> '订单id',
			'match' 	=> 'is_string',
			'search'	=> 'text',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'name'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '商品名称',
			'default' 	=> '',
			'desc' 		=> '商品名称',
			'match' 	=> 'is_string',
			'search'	=> 'fulltext',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'cash'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '价格',
			'default' 	=> '',
			'desc' 		=> '价格',
			'match' 	=> 'option',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'num'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '数量',
			'default' 	=> '',
			'desc' 		=> '数量',
			'match' 	=> 'option',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'reward'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '佣金',
			'default' 	=> '',
			'desc' 		=> '佣金',
			'match' 	=> 'option',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'mode'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '配送方式',
			'default' 	=> '-1',
			'desc' 		=> '配送方式',
			'match' 	=> 'is_numeric',
			'search'	=> 'select',
			'option'	=> $mode,
		),

		'username'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '联系人',
			'default' 	=> '',
			'desc' 		=> '详细地址',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'mobile'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '联系电话',
			'default' 	=> '',
			'desc' 		=> '联系电话',
			'match' 	=> 'option',
			'search'	=> 'fulltext',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'area_id'		=> array
		(
			'type' 		=> 'varchar-500',
			'name' 		=> '地区',
			'default' 	=> '',
			'desc' 		=> '地区',
			'match' 	=> 'is_string',
			'search'	=> 'linkage',
			//'update'	=> 'linkage',
			'option'	=> Dever::url('api.get', 'area'),
			//'show'		=> 'mode=1',
			//'list'		=> 'Dever::load("area/api.string", "{area_id}")',
		),

		'address'		=> array
		(
			'type' 		=> 'varchar-1000',
			'name' 		=> '详细地址',
			'default' 	=> '',
			'desc' 		=> '详细地址',
			'match' 	=> 'option',
			//'update'	=> 'text',
			//'list'		=> true,
		),

		'store_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '自提点',
			'default' 	=> '',
			'desc' 		=> '自提点',
			'match' 	=> 'option',
		),

		'confirm'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '确认收货',
			'default' 	=> '1',
			'desc' 		=> '确认收货',
			'match' 	=> 'is_numeric',
			'option'	=> $confirm,
			'list'		=> true,
			'edit'		=> '{status} == 2 ? true : false',
		),

		'freight_id'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '运费模板',
			'default' 	=> '',
			'desc' 		=> '运费模板',
			'match' 	=> 'is_string',
		),

		'freight_price'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '运费',
			'default' 	=> '',
			'desc' 		=> '运费',
			'match' 	=> 'option',
		),

		'price'		=> array
		(
			'type' 		=> 'varchar-100',
			'name' 		=> '最终付款价格',
			'default' 	=> '',
			'desc' 		=> '最终付款价格',
			'match' 	=> 'option',
			'update'	=> 'text',
		),

		'system_source'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '所属终端',
            'default'   => '1',
            'desc'      => '所属终端',
            'match'     => 'is_numeric',
            'option'    => $system_source,
            //'update'    => 'radio',
            'search'    => 'select',
        ),

		'pay_status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '支付状态',
			'default' 	=> '1',
			'desc' 		=> '支付状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			'option'	=> $pay_status,
			'search'	=> 'select',
			'list'      => true,
		),

		'status'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '订单状态',
			'default' 	=> '1',
			'desc' 		=> '订单状态',
			'match' 	=> 'is_numeric',
			//'update'	=> 'radio',
			'option'	=> $status,
			'search'	=> 'select',
			'list'      => true,
		),

		'state'		=> array
		(
			'type' 		=> 'tinyint-1',
			'name' 		=> '数据状态',
			'default' 	=> '1',
			'desc' 		=> '请选择状态',
			'match' 	=> 'is_numeric',
		),

		'pay_time'       => array
        (
            'type'      => 'int-11',
            'name'      => '付款时间',
            'default'   => '',
            'desc'      => '付款时间',
            'match'     => 'option',
            'search'	=> 'date',
            'list'      => '"{pay_time}" ? date("Y-m-d H:i:s", {pay_time}) : "无"',
            //'update'    => 'date',
            //'callback'  => 'maketime',
        ),

		'cdate'		=> array
		(
			'type' 		=> 'int-11',
			'name' 		=> '申请时间',
			'match' 	=> array('is_numeric', time()),
			'desc' 		=> '',
			# 只有insert时才生效
			'insert'	=> true,
			'search'	=> 'date',
			'list'		=> 'date("Y-m-d H:i:s", {cdate})',
		),
	),

	'manage' => array
    (
        'insert' => false,
        //'edit' => false,
        'delete' => false,
    ),

    # request 请求接口定义
	'request' => array
	(
		# 分页
		'getData' => array
		(
			# 匹配的正则或函数 选填项
			'option' => array
			(
				'uid' => 'yes',
				'info_id' => 'yes',
				'type' => 'yes',
				'type_id' => 'yes',
				'pay_status' => 2,
				'status' => 'yes',
				'state' => 1,
			),
			'type' => 'all',
			'order' => array('id' => 'desc'),
			'page' => array(10, 'list'),
			'col' => '*',
		),
	),
);

return $config;