<?php
$type = array
(
    1 => '数值',
    2 => '百分比',
);
return array
(
    # 表名
    'name' => 'store',
    # 显示给用户看的名称
    'lang' => '货物自提点',
    'order' => -1,

    # 数据结构
    'struct' => array
    (
        'id'        => array
        (
            'type'      => 'int-11',
            'name'      => 'ID',
            'default'   => '',
            'desc'      => '',
            'match'     => 'is_numeric',
            'search'    => 'order',
            //'list'        => true,
        ),

        'name'      => array
        (
            'type'      => 'varchar-150',
            'name'      => '自提点名称',
            'default'   => '',
            'desc'      => '自提点名称',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
            'edit'      => true,
        ),

        'category'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '分类',
            'default'   => '',
            'desc'      => '分类',
            'match'     => 'is_string',
            'search'    => 'linkage',
            'update'    => 'linkage',
            'option'    => Dever::url('api.get', 'category'),
            'list'      => 'Dever::load("category/api.string", "{category}")',
        ),

        'area'      => array
        (
            'type'      => 'varchar-500',
            'name'      => '地区',
            'default'   => '',
            'desc'      => '地区',
            'match'     => 'is_string',
            'search'    => 'linkage',
            'update'    => 'linkage',
            'option'    => Dever::url('api.get', 'area'),
            'list'      => 'Dever::load("area/api.string", "{area}")',
        ),

        'address'      => array
        (
            'type'      => 'varchar-800',
            'name'      => '地址',
            'default'   => '',
            'desc'      => '地址',
            'match'     => 'is_string',
            'update'    => 'text',
            'search'    => 'fulltext',
            'list'      => true,
        ),

        'state'     => array
        (
            'type'      => 'tinyint-1',
            'name'      => '状态',
            'default'   => '1',
            'desc'      => '请选择状态',
            'match'     => 'is_numeric',
        ),
        
        'cdate'     => array
        (
            'type'      => 'int-11',
            'name'      => '录入时间',
            'match'     => array('is_numeric', DEVER_TIME),
            'desc'      => '',
            # 只有insert时才生效
            'insert'    => true,
            'list'      => 'date("Y-m-d H:i:s", {cdate})',
        ),
    ),

    'manage' => array
    (
        //'delete' => false,
        //'edit' => false,
        //'insert' => false,
    ),

    'request' => array
    (
        # 列表
        'getAll' => array
        (
            # 匹配的正则或函数 选填项
            'option' => array
            (
                'category' => 'yes',
                'area' => 'yes',
                'state' => 1,
            ),
            'type' => 'all',
            'order' => array('id' => 'desc'),
            'limit' => '0,10',
            'col' => '*',
        ),
    )
);
